%global ext_id lockscreen@dersch.hrz.uni-marburg.de

Name:           gnome-shell-extension-light-locker
Version:        0.2
Release:        1%{?dist}
Summary:        Add lock icon to the panel that will lock the session using LightDM and light-locker

License:        Unknown
URL:            https://gitlab.hrz.uni-marburg.de/derschch/gnome-shell-extension-light-locker
Source0:        %{name}-%{version}.zip

Requires:       gnome-shell
Requires:       gnome-shell-extension-common
Requires:       xscreensaver

Recommends:     gnome-tweaks

BuildArch:      noarch

%description
Add lock icon to the panel that will lock the session using LightDM
and light-locker


%prep
%setup -q


%build


%install
mkdir -p %{buildroot}/usr/share/gnome-shell/extensions/%{ext_id}
cp extension.js lockscreen.install metadata.json %{buildroot}/usr/share/gnome-shell/extensions/%{ext_id}
chmod -R a+r %{buildroot}/usr/share/gnome-shell/extensions/%{ext_id}


%files
%{_datadir}/gnome-shell/extensions/%{ext_id}


%changelog
* Wed Mar 24 2021 Christian Dersch <christian.dersch@physik.uni-marburg.de> - 0.2-1
- new version

* Thu Oct 08 2020 Christian Dersch <christian.dersch@physik.uni-marburg.de> - 0.1-2
- fix path

* Thu Oct 08 2020 Christian Dersch <dersch@hrz.uni-marburg.de> - 0.1-1
- initial package
